package org.seasar.dao.impl;

import javax.sql.DataSource;

import org.seasar.dao.BeanMetaData;

/**
 * @author higa
 *  
 */
public class DeleteBatchAutoHandler extends AbstractBatchAutoHandler {

	public DeleteBatchAutoHandler(DataSource dataSource, BeanMetaData beanMetaData) {
		super(dataSource, beanMetaData);
	}

	protected void setupSql() {
		setSql(getBeanMetaData().getAutoDeleteSql());
	}

	protected Object[] getBindVariables(Object bean) {
		return getBeanMetaData().getAutoDeleteBindVariables(bean);
	}
}